#include <bsp.h>
#include "drv.h"
#include <stdio.h>
#include <rtems/libio.h>
#include <rtems/error.h>

rtems_device_driver drv_init(rtems_device_major_number major,   rtems_device_minor_number minor, void * context)
{
	rtems_status_code 	status;

	printk("DRIVER: drv_init\n\r");
	status = rtems_io_register_name("/dev/test", major, minor);
	if (status != RTEMS_SUCCESSFUL){
		printk("FATAL ERROR: %s\n", rtems_status_text(status));
		rtems_fatal_error_occurred (status);
	}

	return RTEMS_SUCCESSFUL;	
}
