#ifndef __drv_H__
#define __drv_H__

#include <rtems.h>

#define TEST_DRIVER_TABLE_ENTRY \
	{drv_init, drv_open, drv_close, drv_read, drv_write, NULL}


#define TEMP_IO_MAGIC			0x08

rtems_device_driver drv_init(rtems_device_major_number,   rtems_device_minor_number, void *);
rtems_device_driver drv_open(rtems_device_major_number,   rtems_device_minor_number, void *);
rtems_device_driver drv_close(rtems_device_major_number,   rtems_device_minor_number, void *);
rtems_device_driver drv_read(rtems_device_major_number,   rtems_device_minor_number, void *);
rtems_device_driver drv_write(rtems_device_major_number,   rtems_device_minor_number, void *);

#endif //__drv_H__
