#include "system.h"
#include <stdio.h>
#include <stdlib.h>
#include <rtems/error.h>
#include "drv.h"

rtems_task Writer(
  rtems_task_argument unused
)
{
	int d=0;
	FILE* fd = fopen("/dev/test", "a");
	if (!fd) {
	    rtems_panic("Writer: Cannot open device /dev/temp\n\r");
	}
        else
	    printf("Writer: Device successfully open\n\r"); 

 while (1)
     fprintf(fd,"Ala%d\n",d++);

}

rtems_task Reader(
  rtems_task_argument unused
)
{
	char out[128];
	FILE* fd = fopen("/dev/test", "r");
	if (!fd) {
	    rtems_panic("Reader: Cannot open device /dev/temp\n\r");
	}
	else
	    printf("Reader: Device successfully open\n\r"); 

 while (1){
        fscanf(fd,"%127s\n",out);
        printf("%s\n",out);
  }
}


rtems_task Ioctler(
  rtems_task_argument unused
)
{
	struct pointers sp;
	FILE* fd = fopen("/dev/test", "r");
	if (!fd) {
	    rtems_panic("Reader: Cannot open device /dev/temp\n\r");
	}
	else
	    printf("Reader: Device successfully open\n\r"); 

 while (1){
	if(ioctl(fileno(fd),IOCTL_DRV_READ,&sp)==-1)
	    rtems_panic("Reader: Invalid IOCTL\n\r");
	printf("Pointers: rptr=%u tptr=%u\n",(unsigned)sp.rptr,(unsigned)sp.tptr);
  }
}

